Update workspace member roles

View as Markdown
Update the roles for a workspace member. This will revoke existing roles not in the new list and add new roles. By default, this endpoint waits for the roles to propagate before returning. Use `wait_role_propagation=false` to skip waiting (useful for bulk operations). Example: ``` PUT /apis/entities/v2/workspaces/ml-team/members/user@example.com { "roles": ["Viewer", "Editor"] } ```

Path parameters

workspacestringRequired
principal_idstringRequired

Query parameters

wait_role_propagationbooleanOptionalDefaults to true

If true, wait for roles to propagate before returning (default: true). Set to false for bulk operations.

Request

This endpoint expects an object.
roleslist of stringsRequired
Updated list of roles for the principal

Response

Successful Response
principalstring
The principal identifier
roleslist of strings
List of roles granted to the principal
granted_atdatetime
Earliest date when a role was granted to this principal
granted_bystring
Who granted the earliest role

Errors

422
Unprocessable Entity Error